[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragKind

Indicates whether the control performs drag-drop or drag-dock operation.

## Declaration

Source position: controls.pp line 492

`type TDragKind = (`
`dkDrag,` |  | Drag operation is for drag-and-drop.
`dkDock` |  | Drag operation is for drag-and-dock.
`);`

## Description

TDragKind is an enumeration type with values that indicate the action performed when the mouse is used to start a drag operation.

TDragKind is the type used to implement the Dragkind property in TControl.

## Version info

Modified in LCL 3.0 to be ab alias to TDragKind in System.UITypes for FPC 3.2.3 or higher.

## See also

TControl.DragKind |  | Indicates the action performed for a drag operation: drag-and-drop or drag-and-dock.